### org.jfree.layouting.modules.output.graphics

# Class GraphicsOutputProcessor

- `java.lang.Object`
- - `org.jfree.layouting.output.AbstractOutputProcessor`
  - - `org.jfree.layouting.output.pageable.AbstractPageableProcessor`
    - - `org.jfree.layouting.modules.output.graphics.GraphicsOutputProcessor`

Implemented Interfaces:
  OutputProcessor, PageableOutputProcessor

`public class GraphicsOutputProcessor`
`extends AbstractPageableProcessor`

Creation-Date: 02.01.2006, 19:55:14

Author:
  Thomas Morgner

  ## Field Summary

  ### Fields inherited from class org.jfree.layouting.output.AbstractOutputProcessor

  `PROCESSING_CONTENT`, `PROCESSING_GLOBAL_CONTENT`, `PROCESSING_PAGES`

  ## Constructor Summary

  `GraphicsOutputProcessor(Configuration configuration)`

  ## Method Summary

  `protected PageFlowSelector`

  `getFlowSelector()`

  `GraphicsContentInterceptor`

  `getInterceptor()`

  `OutputProcessorMetaData`

  `getMetaData()`

  `protected void`

  `processLogicalPage(LogicalPageKey key, LogicalPageBox logicalPage)`

  `protected void`

  `processPhysicalPage(PageGrid pageGrid, LogicalPageBox logicalPage, int row, int col, PhysicalPageKey pageKey)`

  `void`

  `setInterceptor(GraphicsContentInterceptor interceptor)`

  ### Methods inherited from class org.jfree.layouting.output.pageable.AbstractPageableProcessor

  `createLogicalPage`, `createRenderer`, `getFlowSelector`, `getPhysicalPage`, `getPhysicalPageCount`, `getPrototypeBuilder`, `processLogicalPage`, `processPageContent`, `processPhysicalPage`, `processingPagesFinished`

  ### Methods inherited from class org.jfree.layouting.output.AbstractOutputProcessor

  `createInputFeed`, `createLogicalPage`, `createModelBuilder`, `createNormalizer`, `getConfiguration`, `getDocumentContext`, `getLogicalPage`, `getLogicalPageCount`, `getPageCursor`, `getProcessingState`, `isContentGeneratable`, `isGlobalStateComputed`, `isPaginationFinished`, `processContent`, `processDocumentMetaData`, `processPageContent`, `processingContentFinished`, `processingFinished`, `processingGlobalContentFinished`, `processingPagesFinished`, `setPageCursor`

## Constructor Details

### GraphicsOutputProcessor

    public GraphicsOutputProcessor(Configuration configuration)

## Method Details

### getFlowSelector

    protected PageFlowSelector getFlowSelector()

> Overrides:
>   getFlowSelector in interface AbstractPageableProcessor

### getInterceptor

    public GraphicsContentInterceptor getInterceptor()

### getMetaData

    public OutputProcessorMetaData getMetaData()

> Specified by:
>   getMetaData in interface OutputProcessor

### processLogicalPage

    protected void processLogicalPage(LogicalPageKey key,
                                      LogicalPageBox logicalPage)

> Overrides:
>   processLogicalPage in interface AbstractPageableProcessor

### processPhysicalPage

    protected void processPhysicalPage(PageGrid pageGrid,
                                       LogicalPageBox logicalPage,
                                       int row,
                                       int col,
                                       PhysicalPageKey pageKey)

> Overrides:
>   processPhysicalPage in interface AbstractPageableProcessor

### setInterceptor

    public void setInterceptor(GraphicsContentInterceptor interceptor)